Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JSpinnerOperator.ObjectScrollAdjuster

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.JSpinnerOperator.ObjectScrollAdjuster

All Implemented Interfaces:
  ScrollAdjuster

Direct Known Subclasses:
  JSpinnerOperator.ExactScrollAdjuster, JSpinnerOperator.ToStringScrollAdjuster

Enclosing class:
  JSpinnerOperator

public abstract static class JSpinnerOperator.ObjectScrollAdjuster
extends java.lang.Object
implements ScrollAdjuster

Abstract class for a scrolling of a spinner having unknown model type. A subclass needs to override `equals(Object)` value to specify a criteria of successful scrolling.

Fields inherited from interface org.netbeans.jemmy.drivers.scrolling.ScrollAdjuster
`DECREASE_SCROLL_DIRECTION, DO_NOT_TOUCH_SCROLL_DIRECTION, INCREASE_SCROLL_DIRECTION`

Constructor Summary
`JSpinnerOperator.ObjectScrollAdjuster(JSpinnerOperator oper, int direction)` Constructs a `ObjectScrollAdjuster` object.

Method Summary
`abstract boolean` | `equals(java.lang.Object curvalue)`
`int` | `getScrollDirection()` Returns scroll direction to reach necessary scroller value.
`int` | `getScrollOrientation()` Returns scrolling orientation.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.netbeans.jemmy.drivers.scrolling.ScrollAdjuster
`getDescription`

Constructor Detail

### JSpinnerOperator.ObjectScrollAdjuster

    public JSpinnerOperator.ObjectScrollAdjuster(JSpinnerOperator oper,
                                                 int direction)

  Constructs a `ObjectScrollAdjuster` object.
  Parameters:
    `oper` - an operator to work with.
    `direction` - a scrolling direction - one of `ScrollAdjuster.*_SCROLL_DIRECTION` fields.

Method Detail

### getScrollDirection

    public int getScrollDirection()

  Description copied from interface: `ScrollAdjuster`
  Returns scroll direction to reach necessary scroller value.
  Specified by:
    `getScrollDirection` in interface `ScrollAdjuster`
  Following copied from interface: `org.netbeans.jemmy.drivers.scrolling.ScrollAdjuster`
  Returns:
    one of the values: INCREASE_SCROLL_DIRECTION, DECREASE_SCROLL_DIRECTION or DO_NOT_TOUCH_SCROLL_DIRECTION.

### equals

    public abstract boolean equals(java.lang.Object curvalue)

  Overrides:
    `equals` in class `java.lang.Object`

### getScrollOrientation

    public int getScrollOrientation()

  Description copied from interface: `ScrollAdjuster`
  Returns scrolling orientation.
  Specified by:
    `getScrollOrientation` in interface `ScrollAdjuster`
  Following copied from interface: `org.netbeans.jemmy.drivers.scrolling.ScrollAdjuster`
  Returns:
    one of the values: Adjustable.HORIZONTAL or Adjustable.VERTICAL.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD